aboutsummaryrefslogtreecommitdiff
path: root/t/test-lib.sh
diff options
context:
space:
mode:
authorLea Wiemann <lewiemann@gmail.com>2008-06-26 20:35:19 +0200
committerJunio C Hamano <gitster@pobox.com>2008-06-26 18:28:55 -0700
commit4c7ba956a32d72bb1e6645e2e3adba92a9024708 (patch)
treef1b936646fe70f66aa40d97414b0deb0619ee2cc /t/test-lib.sh
parentc0f5c69c680395a45294184dcf0923cea530b9af (diff)
downloadgit-4c7ba956a32d72bb1e6645e2e3adba92a9024708.tar.gz
git-4c7ba956a32d72bb1e6645e2e3adba92a9024708.tar.xz
test-lib.sh: show git init output when in verbose mode
Signed-off-by: Lea Wiemann <LeWiemann@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/test-lib.sh')
-rw-r--r--t/test-lib.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 401011001..c0c5e0e83 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -407,7 +407,7 @@ test_create_repo () {
repo="$1"
mkdir "$repo"
cd "$repo" || error "Cannot setup test environment"
- "$GIT_EXEC_PATH/git" init "--template=$GIT_EXEC_PATH/templates/blt/" >/dev/null 2>&1 ||
+ "$GIT_EXEC_PATH/git" init "--template=$GIT_EXEC_PATH/templates/blt/" >&3 2>&4 ||
error "cannot run git init -- have you built things yet?"
mv .git/hooks .git/hooks-disabled
cd "$owd"